[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLazarusResourceStream.Destroy

Destructor for the class instance.

## Declaration

Source position: lresources.pp line 99

`public destructor TLazarusResourceStream.Destroy; override;`

## Description

Calls the UnlockResource and FreeResource routines when resource descriptors are used for the platform. Calls the inherited method prior to exit.